package com.chinaitop.depot.intelligent.basicdata.mapper;

import com.chinaitop.depot.intelligent.basicdata.model.OrgInfo;
import com.chinaitop.depot.intelligent.basicdata.model.OrgInfoExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface OrgInfoMapper {
    int countByExample(OrgInfoExample example);

    int deleteByExample(OrgInfoExample example);

    int deleteByPrimaryKey(Integer orgId);

    int insert(OrgInfo record);

    int insertSelective(OrgInfo record);

    List<OrgInfo> selectByExample(OrgInfoExample example);

    OrgInfo selectByPrimaryKey(Integer orgId);

    int updateByExampleSelective(@Param("record") OrgInfo record, @Param("example") OrgInfoExample example);

    int updateByExample(@Param("record") OrgInfo record, @Param("example") OrgInfoExample example);

    int updateByPrimaryKeySelective(OrgInfo record);

    int updateByPrimaryKey(OrgInfo record);
}